Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 06 May 2021 08:11:09 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order N9657081004

Hello, 

This is to inform you that I’ve been waiting for my order that I made on 30th,I was supposed to get it by the third but unfortunately nothing has arrived.
I tried to call you several times none of your staff could help me out to track my order and it shows that I got delivered already. I dont know to whom should I talk or complain because as I said I was literally calling every day, my first order got cancelled after completing the transaction with no reason and the rest is not delivered yet I really dont understand this. Plus the attitude Im getting on every single call.
Sincerely this is one of my worst experiences ever
I would never recommend any person to deal with you,cause its really frustrating …
Cant say more but I want my money back !! And never again step into your shops.

Waiting for your response https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2516192